Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Java™ Platform Standard Ed. 6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing.plaf.basic
Class BasicInternalFrameTitlePane.SizeAction

    java.lang.Object
      javax.swing.AbstractAction
          javax.swing.plaf.basic.BasicInternalFrameTitlePane.SizeAction

All Implemented Interfaces:
  ActionListener, Serializable, Cloneable, EventListener, Action

Enclosing class:
  BasicInternalFrameTitlePane

    public class BasicInternalFrameTitlePane.SizeAction

extends AbstractAction

This class should be treated as a "protected" inner class. Instantiate it only within subclasses of .

Field Summary

Fields inherited from class javax.swing.AbstractAction
`changeSupport, enabled`

Fields inherited from interface javax.swing.Action
`ACCELERATOR_KEY, ACTION_COMMAND_KEY, DEFAULT, DISPLAYED_MNEMONIC_INDEX_KEY, LARGE_ICON_KEY, LONG_DESCRIPTION, MNEMONIC_KEY, NAME, SELECTED_KEY, SHORT_DESCRIPTION, SMALL_ICON`

Constructor Summary
`BasicInternalFrameTitlePane.SizeAction()`

Method Summary
`void` | `actionPerformed(ActionEvent e)` Invoked when an action occurs.

Methods inherited from class javax.swing.AbstractAction
`addPropertyChangeListener, clone, firePropertyChange, getKeys, getPropertyChangeListeners, getValue, isEnabled, putValue, removePropertyChangeListener, setEnabled`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BasicInternalFrameTitlePane.SizeAction

    public BasicInternalFrameTitlePane.SizeAction()

Method Detail

### actionPerformed

    public void actionPerformed(ActionEvent e)

  Description copied from interface: `ActionListener`
  Invoked when an action occurs.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Java™ Platform Standard Ed. 6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2009 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.